Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.util
Class DefaultLayoutHelper

    java.lang.Object
      org.eclipse.emf.ecp.edit.internal.swt.util.DefaultLayoutHelper

All Implemented Interfaces:
  LayoutHelper<org.eclipse.swt.widgets.Layout>

Deprecated.

    @Deprecated
    public final class DefaultLayoutHelper

extends Object
implements LayoutHelper<org.eclipse.swt.widgets.Layout>

Author:
  Eugen Neufeld

Constructor Summary
`DefaultLayoutHelper()` Deprecated.

Method Summary
`org.eclipse.swt.widgets.Layout` | `getColumnLayout(int numColumns, boolean equalWidth)` Deprecated. The Layout for aligning controls vertically in columns.
`Object` | `getLeftColumnLayoutData()` Deprecated. The Layout data to use to set for a left column.
`Object` | `getRightColumnLayoutData(int xSpan)` Deprecated. The Layout data to use to set for a right column.
`Object` | `getSpanningLayoutData(int xSpan, int ySpan)` Deprecated. The Layout data to use to set a spanning on an element.
`Object` | `getValidationColumnLayoutData()` Deprecated. The Layout data to use to set for a validation column.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLayoutHelper

    public DefaultLayoutHelper()

  Deprecated.

Method Detail

### getColumnLayout

    public org.eclipse.swt.widgets.Layout getColumnLayout(int numColumns,
                                                          boolean equalWidth)

  Deprecated.
  The Layout for aligning controls vertically in columns.

  Specified by:
    `getColumnLayout` in interface `LayoutHelper<org.eclipse.swt.widgets.Layout>`
  Parameters:
    `numColumns` - the number of columns to create
    `equalWidth` - whether the columns should be equal width
  Returns:
    the layout to use
  See Also:
    `LayoutHelper.getColumnLayout(int, boolean)`

### getSpanningLayoutData

    public Object getSpanningLayoutData(int xSpan,
                                        int ySpan)

  Deprecated.
  The Layout data to use to set a spanning on an element.

  Specified by:
    `getSpanningLayoutData` in interface `LayoutHelper<org.eclipse.swt.widgets.Layout>`
  Parameters:
    `xSpan` - the horizontal span
    `ySpan` - the vertical span
  Returns:
    the layout data to set
  See Also:
    `LayoutHelper.getSpanningLayoutData(int, int)`

### getLeftColumnLayoutData

    public Object getLeftColumnLayoutData()

  Deprecated.
  The Layout data to use to set for a left column.

  Specified by:
    `getLeftColumnLayoutData` in interface `LayoutHelper<org.eclipse.swt.widgets.Layout>`
  Returns:
    the layout data to set
  See Also:
    `LayoutHelper.getLeftColumnLayoutData()`

### getRightColumnLayoutData

    public Object getRightColumnLayoutData(int xSpan)

  Deprecated.
  The Layout data to use to set for a right column.

  Specified by:
    `getRightColumnLayoutData` in interface `LayoutHelper<org.eclipse.swt.widgets.Layout>`
  Parameters:
    `xSpan` - the horizontal span
  Returns:
    the layout data to set
  See Also:
    `LayoutHelper.getRightColumnLayoutData(int)`

### getValidationColumnLayoutData

    public Object getValidationColumnLayoutData()

  Deprecated.
  The Layout data to use to set for a validation column.

  Specified by:
    `getValidationColumnLayoutData` in interface `LayoutHelper<org.eclipse.swt.widgets.Layout>`
  Returns:
    the layout data to set
  See Also:
    `LayoutHelper.getValidationColumnLayoutData()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.